Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 180:e6dcf9b65658
prev94:8d80d9c7cc7d
next360:dff4a3bbac0c
author nkeynes
date Sat Aug 05 00:18:21 2006 +0000 (17 years ago)
permissions -rw-r--r--
last change Add error lines to tests with incomplete polys
Split clip tests to separate data file
Add tests for cmd bit 23 ("use list size field")
file annotate diff log raw
1.1 --- a/configure Sun Feb 05 04:05:27 2006 +0000
1.2 +++ b/configure Sat Aug 05 00:18:21 2006 +0000
1.3 @@ -309,7 +309,7 @@
1.4 # include <unistd.h>
1.5 #endif"
1.6
1.7 -ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP PKG_CONFIG PACKAGE_CFLAGS PACKAGE_LIBS GETTEXT_PACKAGE USE_NLS MSGFMT GMSGFMT XGETTEXT CATALOGS CATOBJEXT DATADIRNAME GMOFILES INSTOBJEXT INTLLIBS PO_IN_DATADIR_TRUE PO_IN_DATADIR_FALSE POFILES POSUB MKINSTALLDIRS LIBOBJS LTLIBOBJS'
1.8 +ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP PKG_CONFIG ac_pt_PKG_CONFIG PACKAGE_CFLAGS PACKAGE_LIBS GETTEXT_PACKAGE USE_NLS MSGFMT GMSGFMT XGETTEXT CATALOGS CATOBJEXT DATADIRNAME GMOFILES INSTOBJEXT INTLLIBS PO_IN_DATADIR_TRUE PO_IN_DATADIR_FALSE POFILES POSUB MKINSTALLDIRS LIBOBJS LTLIBOBJS'
1.9 ac_subst_files=''
1.10
1.11 # Initialize some variables set by options.
1.12 @@ -770,6 +770,18 @@
1.13 ac_env_CPP_value=$CPP
1.14 ac_cv_env_CPP_set=${CPP+set}
1.15 ac_cv_env_CPP_value=$CPP
1.16 +ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
1.17 +ac_env_PKG_CONFIG_value=$PKG_CONFIG
1.18 +ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
1.19 +ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
1.20 +ac_env_PACKAGE_CFLAGS_set=${PACKAGE_CFLAGS+set}
1.21 +ac_env_PACKAGE_CFLAGS_value=$PACKAGE_CFLAGS
1.22 +ac_cv_env_PACKAGE_CFLAGS_set=${PACKAGE_CFLAGS+set}
1.23 +ac_cv_env_PACKAGE_CFLAGS_value=$PACKAGE_CFLAGS
1.24 +ac_env_PACKAGE_LIBS_set=${PACKAGE_LIBS+set}
1.25 +ac_env_PACKAGE_LIBS_value=$PACKAGE_LIBS
1.26 +ac_cv_env_PACKAGE_LIBS_set=${PACKAGE_LIBS+set}
1.27 +ac_cv_env_PACKAGE_LIBS_value=$PACKAGE_LIBS
1.28
1.29 #
1.30 # Report the --help message.
1.31 @@ -858,6 +870,11 @@
1.32 CPPFLAGS C/C++ preprocessor flags, e.g. -I<include dir> if you have
1.33 headers in a nonstandard directory <include dir>
1.34 CPP C preprocessor
1.35 + PKG_CONFIG path to pkg-config utility
1.36 + PACKAGE_CFLAGS
1.37 + C compiler flags for PACKAGE, overriding pkg-config
1.38 + PACKAGE_LIBS
1.39 + linker flags for PACKAGE, overriding pkg-config
1.40
1.41 Use these variables to override the choices made by `configure' or to help
1.42 it to find libraries and programs with nonstandard names/locations.
1.43 @@ -4239,11 +4256,11 @@
1.44
1.45
1.46
1.47 - succeeded=no
1.48 -
1.49 - if test -z "$PKG_CONFIG"; then
1.50 - # Extract the first word of "pkg-config", so it can be a program name with args.
1.51 -set dummy pkg-config; ac_word=$2
1.52 +
1.53 +if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
1.54 + if test -n "$ac_tool_prefix"; then
1.55 + # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
1.56 +set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
1.57 echo "$as_me:$LINENO: checking for $ac_word" >&5
1.58 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1.59 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
1.60 @@ -4268,7 +4285,6 @@
1.61 done
1.62 done
1.63
1.64 - test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
1.65 ;;
1.66 esac
1.67 fi
1.68 @@ -4282,60 +4298,179 @@
1.69 echo "${ECHO_T}no" >&6
1.70 fi
1.71
1.72 - fi
1.73 -
1.74 - if test "$PKG_CONFIG" = "no" ; then
1.75 - echo "*** The pkg-config script could not be found. Make sure it is"
1.76 - echo "*** in your path, or set the PKG_CONFIG environment variable"
1.77 - echo "*** to the full path to pkg-config."
1.78 - echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
1.79 - else
1.80 - PKG_CONFIG_MIN_VERSION=0.9.0
1.81 - if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
1.82 - echo "$as_me:$LINENO: checking for libgnomeui-2.0 esound " >&5
1.83 -echo $ECHO_N "checking for libgnomeui-2.0 esound ... $ECHO_C" >&6
1.84 -
1.85 - if $PKG_CONFIG --exists " libgnomeui-2.0 esound " ; then
1.86 - echo "$as_me:$LINENO: result: yes" >&5
1.87 +fi
1.88 +if test -z "$ac_cv_path_PKG_CONFIG"; then
1.89 + ac_pt_PKG_CONFIG=$PKG_CONFIG
1.90 + # Extract the first word of "pkg-config", so it can be a program name with args.
1.91 +set dummy pkg-config; ac_word=$2
1.92 +echo "$as_me:$LINENO: checking for $ac_word" >&5
1.93 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1.94 +if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
1.95 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.96 +else
1.97 + case $ac_pt_PKG_CONFIG in
1.98 + [\\/]* | ?:[\\/]*)
1.99 + ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
1.100 + ;;
1.101 + *)
1.102 + as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1.103 +for as_dir in $PATH
1.104 +do
1.105 + IFS=$as_save_IFS
1.106 + test -z "$as_dir" && as_dir=.
1.107 + for ac_exec_ext in '' $ac_executable_extensions; do
1.108 + if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1.109 + ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
1.110 + echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1.111 + break 2
1.112 + fi
1.113 +done
1.114 +done
1.115 +
1.116 + ;;
1.117 +esac
1.118 +fi
1.119 +ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
1.120 +
1.121 +if test -n "$ac_pt_PKG_CONFIG"; then
1.122 + echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
1.123 +echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
1.124 +else
1.125 + echo "$as_me:$LINENO: result: no" >&5
1.126 +echo "${ECHO_T}no" >&6
1.127 +fi
1.128 +
1.129 + PKG_CONFIG=$ac_pt_PKG_CONFIG
1.130 +else
1.131 + PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
1.132 +fi
1.133 +
1.134 +fi
1.135 +if test -n "$PKG_CONFIG"; then
1.136 + _pkg_min_version=0.9.0
1.137 + echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
1.138 +echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
1.139 + if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
1.140 + echo "$as_me:$LINENO: result: yes" >&5
1.141 echo "${ECHO_T}yes" >&6
1.142 - succeeded=yes
1.143 -
1.144 - echo "$as_me:$LINENO: checking PACKAGE_CFLAGS" >&5
1.145 -echo $ECHO_N "checking PACKAGE_CFLAGS... $ECHO_C" >&6
1.146 - PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " libgnomeui-2.0 esound "`
1.147 - echo "$as_me:$LINENO: result: $PACKAGE_CFLAGS" >&5
1.148 -echo "${ECHO_T}$PACKAGE_CFLAGS" >&6
1.149 -
1.150 - echo "$as_me:$LINENO: checking PACKAGE_LIBS" >&5
1.151 -echo $ECHO_N "checking PACKAGE_LIBS... $ECHO_C" >&6
1.152 - PACKAGE_LIBS=`$PKG_CONFIG --libs " libgnomeui-2.0 esound "`
1.153 - echo "$as_me:$LINENO: result: $PACKAGE_LIBS" >&5
1.154 -echo "${ECHO_T}$PACKAGE_LIBS" >&6
1.155 + else
1.156 + echo "$as_me:$LINENO: result: no" >&5
1.157 +echo "${ECHO_T}no" >&6
1.158 + PKG_CONFIG=""
1.159 + fi
1.160 +
1.161 +fi
1.162 +
1.163 +pkg_failed=no
1.164 +echo "$as_me:$LINENO: checking for PACKAGE" >&5
1.165 +echo $ECHO_N "checking for PACKAGE... $ECHO_C" >&6
1.166 +
1.167 +if test -n "$PKG_CONFIG"; then
1.168 + if test -n "$PACKAGE_CFLAGS"; then
1.169 + pkg_cv_PACKAGE_CFLAGS="$PACKAGE_CFLAGS"
1.170 + else
1.171 + if test -n "$PKG_CONFIG" && \
1.172 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" libgnomeui-2.0 esound \"") >&5
1.173 + ($PKG_CONFIG --exists --print-errors " libgnomeui-2.0 esound ") 2>&5
1.174 + ac_status=$?
1.175 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.176 + (exit $ac_status); }; then
1.177 + pkg_cv_PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " libgnomeui-2.0 esound " 2>/dev/null`
1.178 +else
1.179 + pkg_failed=yes
1.180 +fi
1.181 + fi
1.182 +else
1.183 + pkg_failed=untried
1.184 +fi
1.185 +if test -n "$PKG_CONFIG"; then
1.186 + if test -n "$PACKAGE_LIBS"; then
1.187 + pkg_cv_PACKAGE_LIBS="$PACKAGE_LIBS"
1.188 + else
1.189 + if test -n "$PKG_CONFIG" && \
1.190 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" libgnomeui-2.0 esound \"") >&5
1.191 + ($PKG_CONFIG --exists --print-errors " libgnomeui-2.0 esound ") 2>&5
1.192 + ac_status=$?
1.193 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.194 + (exit $ac_status); }; then
1.195 + pkg_cv_PACKAGE_LIBS=`$PKG_CONFIG --libs " libgnomeui-2.0 esound " 2>/dev/null`
1.196 +else
1.197 + pkg_failed=yes
1.198 +fi
1.199 + fi
1.200 +else
1.201 + pkg_failed=untried
1.202 +fi
1.203 +
1.204 +
1.205 +
1.206 +if test $pkg_failed = yes; then
1.207 +
1.208 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.209 + _pkg_short_errors_supported=yes
1.210 +else
1.211 + _pkg_short_errors_supported=no
1.212 +fi
1.213 + if test $_pkg_short_errors_supported = yes; then
1.214 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors " libgnomeui-2.0 esound "`
1.215 else
1.216 - PACKAGE_CFLAGS=""
1.217 - PACKAGE_LIBS=""
1.218 - ## If we have a custom action on failure, don't print errors, but
1.219 - ## do set a variable so people can do so.
1.220 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " libgnomeui-2.0 esound "`
1.221 - echo $PACKAGE_PKG_ERRORS
1.222 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " libgnomeui-2.0 esound "`
1.223 fi
1.224 -
1.225 -
1.226 -
1.227 - else
1.228 - echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
1.229 - echo "*** See http://www.freedesktop.org/software/pkgconfig"
1.230 - fi
1.231 - fi
1.232 -
1.233 - if test $succeeded = yes; then
1.234 - :
1.235 - else
1.236 - { { echo "$as_me:$LINENO: error: Library requirements ( libgnomeui-2.0 esound ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5
1.237 -echo "$as_me: error: Library requirements ( libgnomeui-2.0 esound ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;}
1.238 - { (exit 1); exit 1; }; }
1.239 - fi
1.240 -
1.241 + # Put the nasty error message in config.log where it belongs
1.242 + echo "$PACKAGE_PKG_ERRORS" >&5
1.243 +
1.244 + { { echo "$as_me:$LINENO: error: Package requirements ( libgnomeui-2.0 esound ) were not met:
1.245 +
1.246 +$PACKAGE_PKG_ERRORS
1.247 +
1.248 +Consider adjusting the PKG_CONFIG_PATH environment variable if you
1.249 +installed software in a non-standard prefix.
1.250 +
1.251 +Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.252 +and PACKAGE_LIBS to avoid the need to call pkg-config.
1.253 +See the pkg-config man page for more details.
1.254 +" >&5
1.255 +echo "$as_me: error: Package requirements ( libgnomeui-2.0 esound ) were not met:
1.256 +
1.257 +$PACKAGE_PKG_ERRORS
1.258 +
1.259 +Consider adjusting the PKG_CONFIG_PATH environment variable if you
1.260 +installed software in a non-standard prefix.
1.261 +
1.262 +Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.263 +and PACKAGE_LIBS to avoid the need to call pkg-config.
1.264 +See the pkg-config man page for more details.
1.265 +" >&2;}
1.266 + { (exit 1); exit 1; }; }
1.267 +elif test $pkg_failed = untried; then
1.268 + { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
1.269 +is in your PATH or set the PKG_CONFIG environment variable to the full
1.270 +path to pkg-config.
1.271 +
1.272 +Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.273 +and PACKAGE_LIBS to avoid the need to call pkg-config.
1.274 +See the pkg-config man page for more details.
1.275 +
1.276 +To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
1.277 +See \`config.log' for more details." >&5
1.278 +echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
1.279 +is in your PATH or set the PKG_CONFIG environment variable to the full
1.280 +path to pkg-config.
1.281 +
1.282 +Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.283 +and PACKAGE_LIBS to avoid the need to call pkg-config.
1.284 +See the pkg-config man page for more details.
1.285 +
1.286 +To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
1.287 +See \`config.log' for more details." >&2;}
1.288 + { (exit 1); exit 1; }; }
1.289 +else
1.290 + PACKAGE_CFLAGS=$pkg_cv_PACKAGE_CFLAGS
1.291 + PACKAGE_LIBS=$pkg_cv_PACKAGE_LIBS
1.292 + echo "$as_me:$LINENO: result: yes" >&5
1.293 +echo "${ECHO_T}yes" >&6
1.294 + :
1.295 +fi
1.296
1.297
1.298
1.299 @@ -6046,6 +6181,9 @@
1.300 < $srcdir/po/POTFILES.in > po/POTFILES
1.301
1.302
1.303 +CFLAGS='-g3'
1.304 +
1.305 +
1.306 ac_config_files="$ac_config_files Makefile src/Makefile po/Makefile.in"
1.307 cat >confcache <<\_ACEOF
1.308 # This file is a shell script that caches the results of configure
1.309 @@ -6743,6 +6881,7 @@
1.310 s,@CPP@,$CPP,;t t
1.311 s,@EGREP@,$EGREP,;t t
1.312 s,@PKG_CONFIG@,$PKG_CONFIG,;t t
1.313 +s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
1.314 s,@PACKAGE_CFLAGS@,$PACKAGE_CFLAGS,;t t
1.315 s,@PACKAGE_LIBS@,$PACKAGE_LIBS,;t t
1.316 s,@GETTEXT_PACKAGE@,$GETTEXT_PACKAGE,;t t
.